<?PHP
global $AF;

$AF->SuppressHTMLOutput();

if (isset($_GET["DP"]) && isset($_GET["Id"]) )
{
    $DB = new Database();
    $DB->Query("SELECT Payload, Params FROM GoogleMapsCallbacks "
               ."WHERE Id='".addslashes($_GET["DP"])."'");

    $Row = $DB->FetchRow();
    $DPCallback = unserialize($Row["Payload"]);
    $DPParams   = unserialize($Row["Params"]);

    if ($AF->LoadFunction($DPCallback))
    {
        call_user_func_array( $DPCallback,
                              array("Id" => intval($_GET["Id"]),
                                    "Params" => $DPParams ));
    }
}

?>
